h1.product_title {
  font-size: 28px;
  font-weight: 700;
  color: #333;
  margin-bottom: 20px;
}

@media (max-width: 768px) {
  h1.product_title {
    font-size: 24px;
    margin-bottom: 10px;
  }
}

.cs-view-number-group {
  display: flex;
  gap: 20px;
  margin-bottom: 20px;
}

@media (max-width: 768px) {
  .cs-view-number-group {
    flex-direction: column;
    gap: 10px;
    margin-bottom: 0;
  }
}

.cs-view-number-group .cs-view-number {
  display: flex;
  gap: 10px;
  align-items: center;
}

.cs-view-number-group .cs-view-number p {
  margin-bottom: 0;
  font-size: 15px;
}

.cs-view-number-group .cs-view-number svg {
  width: 25px;
}

.woocommerce-product-gallery__wrapper {
  border-radius: 15px;
  border: 1px solid #d9d9d9;
  overflow: hidden;
}

.product-thumbnails .col a {
  border-radius: 15px;
  border: 1px solid #d9d9d9;
}

.product-thumbnails .col:hover a {
  border-color: #e9452e;
}

.product-thumbnails .col.is-selected a {
  border-color: #e9452e;
}

.cs-cross-sell-products {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 100%;
  margin-bottom: 20px;
  gap: 12px;
}

.cs-cross-sell-products .cs-cross-sell-product {
  width: calc((100% - 24px) / 3);
  height: 64px;
  border-radius: 7px;
  border: 1px solid #d9d9d9;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 5px;
}

.cs-cross-sell-products .cs-cross-sell-product:hover,
.cs-cross-sell-products .cs-cross-sell-product.cs-current-product {
  border-color: #e9452e;
}

.cs-cross-sell-products .cs-cross-sell-product p {
  font-size: 14px;
  font-weight: 700;
  color: #333;
  margin-bottom: 0;
}

.cs-cross-sell-products .cs-cross-sell-product:hover p,
.cs-cross-sell-products .cs-cross-sell-product.cs-current-product p {
  color: #e9452e;
}

.cs-cross-sell-products .cs-cross-sell-product .price,
.cs-cross-sell-products .cs-cross-sell-product .price bdi {
  font-size: 14px;
  font-weight: 400 !important;
  color: #333;
  margin-bottom: 0;
}

.cs-cross-sell-products .cs-cross-sell-product:hover .price,
.cs-cross-sell-products .cs-cross-sell-product.cs-current-product .price,
.cs-cross-sell-products .cs-cross-sell-product:hover .price bdi,
.cs-cross-sell-products .cs-cross-sell-product.cs-current-product .price bdi {
  color: #e9452e;
}

.cs-single-product-price {
  display: flex;
  flex-direction: column;
  gap: 8px;
  background-color: #ffe6e7;
  padding: 16px 24px;
  border-radius: 15px;
  margin-bottom: 30px;
}

@media (max-width: 768px) {
  .cs-single-product-price {
    padding: 12px 16px;
    margin-bottom: 0;
  }
}

.cs-single-product-price .row-price-product-single-page {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  column-gap: 12px;
  row-gap: 2px;
  margin-bottom: 0;
}

.cs-single-product-price .price-label {
  min-width: 27%;
  display: inline-block;
  margin-bottom: 0;
  font-size: 15px;
  font-weight: 600;
  flex-shrink: 0;
}

@media (max-width: 768px) {
  .cs-single-product-price .price-label {
    min-width: 35%;
    font-size: 13px;
  }
}

.cs-single-product-price .VAT-checked {
  font-size: 14px;
  flex-shrink: 1;
}

@media (max-width: 768px) {
  .cs-single-product-price .VAT-checked {
    font-size: 12px;
  }
}

.cs-single-product-price ins {
  font-size: 26px;
  flex-shrink: 0;
}

@media (max-width: 768px) {
  .cs-single-product-price ins {
    font-size: 22px;
  }
}

.cs-single-product-price del {
  font-size: 18px;
  color: #000 !important;
  font-weight: 700;
}

@media (max-width: 768px) {
  .cs-single-product-price del {
    font-size: 16px;
  }
}

.cs-single-product-price .percentage-sale {
  font-size: 14px;
  color: #fff !important;
  background-color: #e9452e;
  padding: 2px 8px;
  border-radius: 5px;
}

.cs-single-product-price p {
  margin-bottom: 0;
}

.hotline-and-quantity-group {
  display: flex;
  gap: 20px;
  margin-top: 20px;
  align-items: center;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group {
    flex-wrap: wrap;
    gap: 15px;
  }
}

.devvn-popup-inner .hotline-and-quantity-group,
.devvn-popup-inner .devvn_buy_now.devvn_buy_now_style {
  display: none;
}

.hotline-and-quantity-group > .quantity {
  display: flex;
  gap: 10px;
  align-items: center;
  margin: 0;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group .quantity {
    width: 100%;
  }
}

.hotline-and-quantity-group .quantity-label {
  font-size: 15px;
  font-weight: 700;
  color: #333;
  text-align: center;
}

.hotline-and-quantity-group .quantity-group {
  display: flex;
  align-items: center;
  border: 1px solid #c5c5c5;
  border-radius: 5px;
  overflow: hidden;
  height: 40px;
}

.hotline-and-quantity-group .quantity-group .button {
  border: none;
  background-color: transparent;
  padding: 0;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30px;
  height: 40px;
  background-color: #fff !important;
  color: #646464;
  box-shadow: none !important;
  border: 0 !important;
}

.hotline-and-quantity-group .quantity-group .button:hover {
  background-color: #e9452e !important;
  color: #fff !important;
}

.hotline-and-quantity-group .quantity-group input {
  border: none;
  background-color: transparent;
  padding: 0;
  margin: 0;
  box-shadow: none !important;
  height: 40px;
}

.hotline-and-quantity-group .hotline {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid #e9452e;
  border-radius: 15px;
  padding: 10px 20px;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group .hotline {
    width: calc(50% - 7.5px);
  }
}

.hotline-and-quantity-group .hotline .hotline-label {
  font-size: 20px;
  font-weight: 700;
  color: #333;
  background-color: #fff;
  margin-top: -28px;
  padding: 0 10px;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group .hotline .hotline-label {
    font-size: 16px;
    margin-top: -22px;
  }
}

.hotline-and-quantity-group .hotline .hotline-description {
  font-size: 15px;
  color: #333;
  text-align: center;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group .hotline .hotline-description {
    font-size: 13px;
  }
}

.hotline-and-quantity-group .hotline .hotline-number {
  font-size: 24px;
  color: #e9452e;
  font-weight: 700;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group .hotline .hotline-number {
    font-size: 20px;
  }
}

.hotline-and-quantity-group .showroom {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group .showroom {
    width: calc(50% - 7.5px);
  }
}

.hotline-and-quantity-group .showroom .showroom-label {
  font-size: 14.5px;
  color: #333;
  text-align: center;
}

@media (max-width: 768px) {
  .hotline-and-quantity-group .showroom .showroom-label {
    font-size: 13px;
  }
}

.hotline-and-quantity-group .showroom .showroom-name {
  font-size: 15px;
  font-weight: 700;
  color: #333;
}

.hotline-and-quantity-group .showroom .showroom-map-link {
  font-size: 16px;
  color: #03adf6;
}

.custom-add-to-cart-button-group {
  display: flex;
  gap: 20px;
  margin-top: 20px;
}

.custom-add-to-cart-button-group .quantity {
  display: none;
}

.custom-add-to-cart-button-group > button.single_add_to_cart_button,
.custom-add-to-cart-button-group > a {
  border-radius: 5px;
  height: 48px !important;
  font-weight: 400 !important;
  text-transform: uppercase !important;
  box-shadow: none !important;
  margin: 0;
  width: 50%;
}

.custom-add-to-cart-button-group > button.single_add_to_cart_button {
  background-color: #fff !important;
  color: #e9452e !important;
  border: 1px solid #e9452e !important;
}

.custom-add-to-cart-button-group > button.single_add_to_cart_button:hover {
  background-color: #e9452e !important;
  color: #fff !important;
}

.custom-add-to-cart-button-group > a {
  background-color: #e9452e !important;
  color: #fff !important;
}

.custom-add-to-cart-button-group > a strong {
  font-weight: 400 !important;
}

.cs-single-product-feature {
  flex-wrap: wrap;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
  border-radius: 15px;
  padding: 16px 24px;
  gap: 32px;
}

@media (max-width: 768px) {
  .cs-single-product-feature {
    padding: 12px 16px;
    gap: 12px;
  }
}

.cs-single-product-feature .featured-box {
  display: flex;
  gap: 14px;
  width: calc(50% - 16px);
  align-items: center;
  text-transform: uppercase;
  font-size: 14px;
  flex-grow: 1;
}

@media (max-width: 768px) {
  .cs-single-product-feature .featured-box {
    font-size: 11px;
  }
}

.cs-single-product-feature .icon-box-img {
  margin: 0 !important;
  width: 47px !important;
  height: 47px !important;
  flex-shrink: 0;
}

@media (max-width: 768px) {
  .cs-single-product-feature .icon-box-img {
    width: 36px !important;
    height: 36px !important;
  }
}

.cs-single-product-feature .featured-box img {
  border-radius: 50%;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.15);
  padding: 0;
  width: 47px;
  height: 47px;
}

@media (max-width: 768px) {
  .cs-single-product-feature .featured-box img {
    width: 36px;
    height: 36px;
  }
}

.cs-single-product-bottom-content {
  padding-top: 24px;
  border-top: 1px solid #d9d9d9;
  margin-top: 12px;
}

.cs-upsell-products {
  margin-bottom: 20px;
  padding: 16px 24px;
  border-radius: 15px;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
}

.cs-upsell-products .box-text.box-text-products {
  padding: 10px 0 0 !important;
  font-size: 14px !important;
}

.cs-upsell-products .box-text.box-text-products .price-wrapper {
  margin-top: 5px !important;
}

.cs-single-product-review {
  padding: 16px 24px;
  border-radius: 15px;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
}

.cs-single-product-review > div {
  padding: 0 !important;
}

.cs-single-product-review #tab-title-reviews a {
  display: inline-block;
  background: #fff;
  font-size: 22px !important;
  font-weight: 700;
  color: #e9452e;
  position: relative;
  z-index: 1;
  padding-right: 20px;
  padding-left: 30px;
  margin: 0;
  padding-bottom: 5px;
  padding-top: 5px;
  border: 0 !important;
  height: 32px;
  line-height: 22px;
  margin-bottom: 10px;
}

.cs-single-product-review #tab-title-reviews a:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 7.5px;
  width: 15px;
  height: 100%;
  z-index: 3;
  background: #e9452e;
  opacity: 1 !important;
}

.cs-single-product-col,
.cs-single-product-related,
.cs-single-product-viewed {
  padding-top: 5px !important;
}

.cs-single-product-related .col-inner,
.cs-single-product-viewed .col-inner {
  padding: 30px 20px;
  border-radius: 15px;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
}

.cs-single-product-related .section-title-single,
.cs-single-product-viewed .section-title-single {
  background-color: #fff;
}

.cs-single-product-viewed:has(.cs-single-product-viewed-empty) {
  display: none;
}

.cs-product-meta {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 0;
}

.cs-product-meta li {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 14.5px;
  color: #333;
  margin: 0 !important;
}

.cs-product-meta li img {
  width: 20px;
  height: 20px;
}

.cs-product-meta li a {
  color: #333;
}

.cs-product-meta li a:hover {
  color: #e9452e;
}

.product-accordion {
  margin-bottom: 20px;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
  border-radius: 15px;
  overflow: hidden;
}

.product-accordion:last-child {
  margin-bottom: 0;
}

.accordion-header {
  background-color: #e25041;
  color: #fff;
  padding: 16px 24px;
  cursor: pointer;
  position: relative;
  font-weight: 700;
}

@media (max-width: 768px) {
  .accordion-header {
    padding: 12px 16px;
  }
}

.accordion-icon {
  position: absolute;
  right: 24px;
  top: 50%;
  transform: translateY(-50%);
}

@media (max-width: 768px) {
  .accordion-icon {
    right: 16px;
  }
}

.accordion-content {
  padding: 16px 24px;
  background-color: #fff;
}

@media (max-width: 768px) {
  .accordion-content {
    padding: 12px 16px;
  }
}

.accordion-content :last-child {
  margin-bottom: 0;
}

.custom-product-comments {
  width: 100%;
}
